diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
index 3157f9b9c..3f70c7f8b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
@@ -2,6 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
 import net.minecraft.client.input.controller.ControllerInput;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.util.helper.FileOpener;
 import net.minecraft.core.Global;
 import net.minecraft.core.util.helper.MathHelper;
@@ -10,20 +11,18 @@ import net.minecraft.core.world.season.Seasons;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.client.render.Renderer;
 import net.minecraft.client.render.shader.PhotoModeRenderer;
-import net.minecraft.client.render.shader.Shaders;
 import net.minecraft.client.util.helper.ScreenShot;
+import org.lwjgl.opengl.GL41;
 
 import java.io.File;
 import java.util.Locale;
 
-public class ScreenPhotoMode extends Screen
-{
+public class ScreenPhotoMode extends Screen {
     private ButtonElement buttonRotateLeft;
     private ButtonElement buttonRotateRight;
     private ButtonElement buttonCenterScreen;
@@ -75,439 +74,353 @@ public class ScreenPhotoMode extends Screen
     public float intensityValue = 1.0f;
 
     protected boolean shouldScreenshot = false;
-    
+
     protected PhotoModeRenderer photoModeRenderer;
-    
+
     public Renderer previousRenderer;
-    
+
     protected boolean showHelpText = true;
 
-    public ScreenPhotoMode()
-    {
+    public ScreenPhotoMode() {
         Minecraft mc = Minecraft.getMinecraft();
 
-        if(Shaders.enableShaders) {
-            photoModeRenderer = new PhotoModeRenderer(mc, this);
-        }
-        
+        this.photoModeRenderer = new PhotoModeRenderer(mc, this);
+
         this.previousRenderer = mc.renderer;
         mc.currentWorld.updateSeasonAndLight();
-        originalTOD = mc.currentWorld.getWorldTime();
+        this.originalTOD = mc.currentWorld.getWorldTime();
     }
 
-    public float getRotation(float partialTick)
-    {
-        return lastIRotation + (iRotation - lastIRotation) * partialTick;
+    public float getRotation(float partialTick) {
+        return this.lastIRotation + (this.iRotation - this.lastIRotation) * partialTick;
     }
 
-    public float getZoom(float partialTick)
-    {
-        return lastIZoom + (iZoom - lastIZoom) * partialTick;
+    public float getZoom(float partialTick) {
+        return this.lastIZoom + (this.iZoom - this.lastIZoom) * partialTick;
     }
 
-    public float getTilt(float partialTick)
-    {
-        return lastITilt + (iTilt - lastITilt) * partialTick;
+    public float getTilt(float partialTick) {
+        return this.lastITilt + (this.iTilt - this.lastITilt) * partialTick;
     }
 
-    public float getFog(float partialTick)
-    {
-        return lastIFog + (iFog - lastIFog) * partialTick;
+    public float getFog(float partialTick) {
+        return this.lastIFog + (this.iFog - this.lastIFog) * partialTick;
     }
 
-    public float getPanX(float partialTick)
-    {
-        return lastIPanX + (iPanX - lastIPanX) * partialTick;
+    public float getPanX(float partialTick) {
+        return this.lastIPanX + (this.iPanX - this.lastIPanX) * partialTick;
     }
 
-    public float getPanY(float partialTick)
-    {
-        return lastIPanY + (iPanY - lastIPanY) * partialTick;
+    public float getPanY(float partialTick) {
+        return this.lastIPanY + (this.iPanY - this.lastIPanY) * partialTick;
     }
 
     @Override
-    public void init()
-    {
+    public void init() {
         super.init();
 
         I18n i18n = I18n.getInstance();
 
-        buttonExit = new ButtonElement(5, 0, 0, 20, 20, "X");
+        this.buttonExit = new ButtonElement(5, 0, 0, 20, 20, "X");
 
-        buttonRotateLeft = new ButtonElement(0, width / 2 - 59 - 2 - 20, height - 20, 20, 20, "<");
-        buttonRotateRight = new ButtonElement(1, width / 2 + 59 + 2 + 1, height - 20, 20, 20, ">");
-        buttonTakeScreenshot = new ButtonElement(4, width / 2 - 59, height - 20, 98, 20, i18n.translateKey("gui.photo_mode.button.take_screenshot"));
-        buttonOpenScreenshotFolder = (ListenerButtonElement) new ListenerButtonElement(30, buttonTakeScreenshot.getWidth() + buttonTakeScreenshot.getX() + 1, buttonTakeScreenshot.getY(), 20, 20, "")
+        this.buttonRotateLeft = new ButtonElement(0, this.width / 2 - 59 - 2 - 20, this.height - 20, 20, 20, "<");
+        this.buttonRotateRight = new ButtonElement(1, this.width / 2 + 59 + 2 + 1, this.height - 20, 20, 20, ">");
+        this.buttonTakeScreenshot = new ButtonElement(4, this.width / 2 - 59, this.height - 20, 98, 20, i18n.translateKey("gui.photo_mode.button.take_screenshot"));
+        this.buttonOpenScreenshotFolder = (ListenerButtonElement) new ListenerButtonElement(30, this.buttonTakeScreenshot.getWidth() + this.buttonTakeScreenshot.getX() + 1, this.buttonTakeScreenshot.getY(), 20, 20, "")
             .setTextures("minecraft:gui/misc/button_folder", "minecraft:gui/misc/button_folder_highlighted", "minecraft:gui/misc/button_folder");
-        buttonOpenScreenshotFolder.setActionListener(() -> {
-            File f = new File(mc.getMinecraftDir(), "screenshots");
+        this.buttonOpenScreenshotFolder.setActionListener(() -> {
+            File f = new File(this.mc.getMinecraftDir(), "screenshots");
             f.mkdirs();
             FileOpener.open(f);
         });
 
-        buttonCenterScreen = new ButtonElement(10, width - 120, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.center_camera"));
-        buttonShowPlayer = new ButtonElement(11, width - 120, 0, 120, 20, "");
-        sliderTimeOfDay = new SliderElement(2, width - 120, 0, 120, 20, "", 0.0f);
-        buttonSeason = new ButtonElement(3, width - 120, 0, 120, 20, "");
-        sliderFog = new SliderElement(6, width - 120, 0, 120, 20, "", 1.0f);
-        sliderTilt = new SliderElement(7, width - 120, 0, 120, 20, "", 30f / 90f);
-        if(Shaders.enableShaders) {
-            buttonShaders = new ButtonElement(8, width - 120, 0, 120, 20, "");
-            sliderIntensity = new SliderElement(9, width - 120, 0, 120, 20, "", intensityValue);
-            
-            if (photoModeRenderer.getActiveShader() == null) {
-                sliderIntensity.enabled = false;
-            }
-        }
+        this.buttonCenterScreen = new ButtonElement(10, this.width - 120, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.center_camera"));
+        this.buttonShowPlayer = new ButtonElement(11, this.width - 120, 0, 120, 20, "");
+        this.sliderTimeOfDay = new SliderElement(2, this.width - 120, 0, 120, 20, "", 0.0f);
+        this.buttonSeason = new ButtonElement(3, this.width - 120, 0, 120, 20, "");
+        this.sliderFog = new SliderElement(6, this.width - 120, 0, 120, 20, "", 0.5f);
+        this.sliderTilt = new SliderElement(7, this.width - 120, 0, 120, 20, "", 30f / 90f);
+        this.buttonShaders = new ButtonElement(8, this.width - 120, 0, 120, 20, "");
+        this.sliderIntensity = new SliderElement(9, this.width - 120, 0, 120, 20, "", this.intensityValue);
 
-        buttons.add(buttonCenterScreen);
-        buttons.add(buttonShowPlayer);
-        buttons.add(sliderTilt);
-        
-        if(Shaders.enableShaders) {
-            mc.setRenderer(photoModeRenderer);
+        if (this.photoModeRenderer.getActiveShader() == null) {
+            this.sliderIntensity.enabled = false;
         }
 
-        if (!mc.currentWorld.isClientSide) {
-            buttons.add(sliderTimeOfDay);
-            buttons.add(sliderFog);
-            buttons.add(buttonSeason);
-        }
-        
-        if(Shaders.enableShaders) {
-            buttons.add(buttonShaders);
-            buttons.add(sliderIntensity);
+        this.buttons.add(this.buttonCenterScreen);
+        this.buttons.add(this.buttonShowPlayer);
+        this.buttons.add(this.sliderTilt);
+
+        this.mc.setRenderer(this.photoModeRenderer);
+
+        if (!this.mc.currentWorld.isClientSide) {
+            this.buttons.add(this.sliderTimeOfDay);
+            this.buttons.add(this.sliderFog);
+            this.buttons.add(this.buttonSeason);
         }
 
-        int i=0;
-        for(ButtonElement button : buttons) {
+        this.buttons.add(this.buttonShaders);
+        this.buttons.add(this.sliderIntensity);
+
+        int i = 0;
+        for (ButtonElement button : this.buttons) {
             button.yPosition = i++ * 21;
         }
 
-        buttons.add(buttonRotateLeft);
-        buttons.add(buttonRotateRight);
-        buttons.add(buttonTakeScreenshot);
-        buttons.add(buttonOpenScreenshotFolder);
-        buttons.add(buttonExit);
+        this.buttons.add(this.buttonRotateLeft);
+        this.buttons.add(this.buttonRotateRight);
+        this.buttons.add(this.buttonTakeScreenshot);
+        this.buttons.add(this.buttonOpenScreenshotFolder);
+        this.buttons.add(this.buttonExit);
 
-        if (desiredTOD == -1)
-        {
-            desiredTOD = originalTOD % Global.DAY_LENGTH_TICKS;
-        }
-        else
-        {
-            sliderTimeOfDay.sliderValue = desiredTOD / (float) Global.DAY_LENGTH_TICKS;
+        if (this.desiredTOD == -1) {
+            this.desiredTOD = this.originalTOD % Global.DAY_LENGTH_TICKS;
+        } else {
+            this.sliderTimeOfDay.sliderValue = this.desiredTOD / (float) Global.DAY_LENGTH_TICKS;
         }
 
-        if (desiredDay == -1) desiredDay = originalTOD / Global.DAY_LENGTH_TICKS;
+        if (this.desiredDay == -1) this.desiredDay = this.originalTOD / Global.DAY_LENGTH_TICKS;
 
         updateButtonsText();
     }
 
     @Override
-    public void removed()
-    {
-        mc.currentWorld.setWorldTimeUpdateTicks(originalTOD);
-        
-        if(Shaders.enableShaders) {
-            mc.setRenderer(previousRenderer);
-        }
+    public void removed() {
+        this.mc.currentWorld.setWorldTimeUpdateTicks(this.originalTOD);
 
-        mc.currentWorld.updateSeasonAndLight();
+        this.mc.setRenderer(this.previousRenderer);
+
+        this.mc.currentWorld.updateSeasonAndLight();
     }
 
     @Override
-    protected void buttonClicked(@NotNull ButtonElement button)
-    {
-        if (button == buttonRotateLeft)
-        {
-            iRotationGoal += 1;
-            iRotationGoal = (int) iRotationGoal;
-        }
-        else if (button == buttonRotateRight)
-        {
-            iRotationGoal -= 1;
-            iRotationGoal = (int) iRotationGoal;
-        }
-        else if (button == buttonSeason)
-        {
-            desiredSeason++;
-            if (desiredSeason > 3) desiredSeason = -1;
-
-            if (desiredSeason == -1)
-            {
-                desiredDay = originalTOD / Global.DAY_LENGTH_TICKS;
-            }
-            else
-            {
-                desiredDay = (long) Global.DAY_LENGTH_TICKS * 7 * desiredSeason + Global.DAY_LENGTH_TICKS * 3L;
+    protected void buttonClicked(@NotNull ButtonElement button) {
+        if (button == this.buttonRotateLeft) {
+            this.iRotationGoal += 1;
+            this.iRotationGoal = (int) this.iRotationGoal;
+        } else if (button == this.buttonRotateRight) {
+            this.iRotationGoal -= 1;
+            this.iRotationGoal = (int) this.iRotationGoal;
+        } else if (button == this.buttonSeason) {
+            this.desiredSeason++;
+            if (this.desiredSeason > 3) this.desiredSeason = -1;
+
+            if (this.desiredSeason == -1) {
+                this.desiredDay = this.originalTOD / Global.DAY_LENGTH_TICKS;
+            } else {
+                this.desiredDay = (long) Global.DAY_LENGTH_TICKS * 7 * this.desiredSeason + Global.DAY_LENGTH_TICKS * 3L;
             }
 
-            mc.currentWorld.setWorldTimeUpdateTicks(desiredDay + desiredTOD);
-            mc.currentWorld.updateSeasonAndLight();
-        }
-        else if (button == buttonTakeScreenshot)
-        {
-            shouldScreenshot = true;
-        }
-        else if (button == buttonExit)
-        {
-            mc.displayScreen(null);
-        }
-        else if (button == buttonShaders)
-        {
+            this.mc.currentWorld.setWorldTimeUpdateTicks(this.desiredDay + this.desiredTOD);
+            this.mc.currentWorld.updateSeasonAndLight();
+        } else if (button == this.buttonTakeScreenshot) {
+            this.shouldScreenshot = true;
+        } else if (button == this.buttonExit) {
+            this.mc.displayScreen(null);
+        } else if (button == this.buttonShaders) {
             boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
-            if (ctrl)
-            {
-                photoModeRenderer.first();
-            }
-            else
-            {
-                photoModeRenderer.next();
+            if (ctrl) {
+                this.photoModeRenderer.first();
+            } else {
+                this.photoModeRenderer.next();
             }
-            sliderIntensity.enabled = photoModeRenderer.getActiveShader() != null;
-        }
-        else if (button == buttonCenterScreen)
-        {
-            iPanXGoal = 0;
-            iPanYGoal = 0;
-        }
-        else if (button == buttonShowPlayer)
-        {
-            showPlayer = !showPlayer;
+            this.sliderIntensity.enabled = this.photoModeRenderer.getActiveShader() != null;
+        } else if (button == this.buttonCenterScreen) {
+            this.iPanXGoal = 0;
+            this.iPanYGoal = 0;
+        } else if (button == this.buttonShowPlayer) {
+            this.showPlayer = !this.showPlayer;
         }
         updateButtonsText();
     }
 
     @Override
-    public void mouseClicked(int mx, int my, int buttonNum)
-    {
+    public void mouseClicked(int mx, int my, int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
 
-        if (!isMouseDown && clickedButton == null)
-        {
-            showHelpText = false;
-            isMouseDown = true;
-            mouseDownX = mx;
-            mouseDownY = my;
-            lastEndPanX = iPanX;
-            lastEndPanY = iPanY;
-            lastEndRotation = iRotation;
+        if (!this.isMouseDown && this.clickedButton == null) {
+            this.showHelpText = false;
+            this.isMouseDown = true;
+            this.mouseDownX = mx;
+            this.mouseDownY = my;
+            this.lastEndPanX = this.iPanX;
+            this.lastEndPanY = this.iPanY;
+            this.lastEndRotation = this.iRotation;
             this.mouseButton = buttonNum;
         }
     }
 
     @Override
-    public void mouseReleased(int mx, int my, int buttonNum)
-    {
+    public void mouseReleased(int mx, int my, int buttonNum) {
         super.mouseReleased(mx, my, buttonNum);
 
-        if (isMouseDown && buttonNum != -1)
-        {
-            isMouseDown = false;
-        }
-        else if (isMouseDown)
-        {
-            if (this.mouseButton == 0)
-            {
-                float div = (float)Math.pow(2, iZoom) / 3;
-                iPanXGoal = lastEndPanX + (mx - mouseDownX) / div;
-                iPanYGoal = lastEndPanY + (my - mouseDownY) / div;
-            }
-            else
-            {
-                iRotationGoal = lastEndRotation + (mx - mouseDownX) / 128f;
+        if (this.isMouseDown && buttonNum != -1) {
+            this.isMouseDown = false;
+        } else if (this.isMouseDown) {
+            if (this.mouseButton == 0) {
+                float div = (float) Math.pow(2, this.iZoom) / 3;
+                this.iPanXGoal = this.lastEndPanX + (mx - this.mouseDownX) / div;
+                this.iPanYGoal = this.lastEndPanY + (my - this.mouseDownY) / div;
+            } else {
+                this.iRotationGoal = this.lastEndRotation + (mx - this.mouseDownX) / 128f;
             }
         }
     }
 
     protected long lastUpdateTime = 0;
+
     @Override
-    public void render(int mx, int my, float partialTick)
-    {
-        GL11.glViewport(0, 0, mc.gameWindow.getWidthPixels(), mc.gameWindow.getHeightPixels());
-        GL11.glMatrixMode(GL11.GL_PROJECTION);
-        GL11.glLoadIdentity();
-        GL11.glMatrixMode(GL11.GL_MODELVIEW);
-        GL11.glLoadIdentity();
-        GL11.glClear(256);
-        GL11.glMatrixMode(GL11.GL_PROJECTION);
-        GL11.glLoadIdentity();
-        GL11.glOrtho(0.0D, mc.resolution.getExactScaledWidthScreenCoords(), mc.resolution.getExactScaledHeightScreenCoords(), 0.0D, 1000D, 3000D);
-        GL11.glMatrixMode(GL11.GL_MODELVIEW);
-        GL11.glLoadIdentity();
-        GL11.glTranslatef(0.0F, 0.0F, -2000F);
-
-        if (mc.controllerInput != null) {
-            if (mc.controllerInput.buttonLeftShoulder.isPressed()) {
-                float div = (float)Math.pow(2, iZoom) / 3;
-                iPanXGoal -= mc.controllerInput.joyRight.getX() / div;
-                iPanYGoal -= mc.controllerInput.joyRight.getY() / div;
-            } else if (mc.controllerInput.buttonLeftTrigger.isPressed()) {
-                iTiltGoal -= mc.controllerInput.joyRight.getY() / 2f;
-                iTiltGoal = MathHelper.clamp(iTiltGoal, 0.0f, 90.0f);
+    public void render(int mx, int my, float partialTick) {
+        GL41.glViewport(0, 0, this.mc.gameWindow.getWidthPixels(), this.mc.gameWindow.getHeightPixels());
+        GLRenderer.projectionM4f().identity().ortho(0.0f, (float) this.mc.resolution.getExactScaledWidthScreenCoords(), (float) this.mc.resolution.getExactScaledHeightScreenCoords(), 0.0f, 1000f, 3000f);
+        GLRenderer.viewM4f().identity();
+        GLRenderer.modelM4f().identity();
+        GL41.glClear(GL41.GL_DEPTH_BUFFER_BIT);
+        GLRenderer.modelM4f().translate(0.0F, 0.0F, -2000F);
+
+        if (this.mc.controllerInput != null) {
+            if (this.mc.controllerInput.buttonLeftShoulder.isPressed()) {
+                float div = (float) Math.pow(2, this.iZoom) / 3;
+                this.iPanXGoal -= this.mc.controllerInput.joyRight.getX() / div;
+                this.iPanYGoal -= this.mc.controllerInput.joyRight.getY() / div;
+            } else if (this.mc.controllerInput.buttonLeftTrigger.isPressed()) {
+                this.iTiltGoal -= this.mc.controllerInput.joyRight.getY() / 2f;
+                this.iTiltGoal = MathHelper.clamp(this.iTiltGoal, 0.0f, 90.0f);
                 updateButtonsText();
             } else {
-                iRotationGoal -= mc.controllerInput.joyRight.getX() / 64f;
-                iZoomGoal -= mc.controllerInput.joyRight.getY() / 128f;
+                this.iRotationGoal -= this.mc.controllerInput.joyRight.getX() / 64f;
+                this.iZoomGoal -= this.mc.controllerInput.joyRight.getY() / 128f;
             }
         }
 
         long currentTime = System.currentTimeMillis();
-        if (currentTime > lastUpdateTime + 5)
-        {
-            lastIZoom = iZoom;
-            if (iZoom != iZoomGoal)
-            {
-                iZoom += (iZoomGoal - iZoom) * 0.08f;
-                if (Math.abs(iZoom - iZoomGoal) < 0.0005f) iZoom = iZoomGoal;
+        if (currentTime > this.lastUpdateTime + 5) {
+            this.lastIZoom = this.iZoom;
+            if (this.iZoom != this.iZoomGoal) {
+                this.iZoom += (this.iZoomGoal - this.iZoom) * 0.08f;
+                if (Math.abs(this.iZoom - this.iZoomGoal) < 0.0005f) this.iZoom = this.iZoomGoal;
             }
 
-            lastIRotation = iRotation;
-            if (iRotation != iRotationGoal)
-            {
-                iRotation += (iRotationGoal - iRotation) * 0.08f;
-                if (Math.abs(iRotation - iRotationGoal) < 0.0005f) iRotation = iRotationGoal;
+            this.lastIRotation = this.iRotation;
+            if (this.iRotation != this.iRotationGoal) {
+                this.iRotation += (this.iRotationGoal - this.iRotation) * 0.08f;
+                if (Math.abs(this.iRotation - this.iRotationGoal) < 0.0005f) this.iRotation = this.iRotationGoal;
             }
 
-            lastITilt = iTilt;
-            if (iTilt != iTiltGoal)
-            {
-                iTilt += (iTiltGoal - iTilt) * 0.08f;
-                if (Math.abs(iTilt - iTiltGoal) < 0.01f) iTilt = iTiltGoal;
+            this.lastITilt = this.iTilt;
+            if (this.iTilt != this.iTiltGoal) {
+                this.iTilt += (this.iTiltGoal - this.iTilt) * 0.08f;
+                if (Math.abs(this.iTilt - this.iTiltGoal) < 0.01f) this.iTilt = this.iTiltGoal;
             }
 
-            lastIFog = iFog;
-            if (iFog != iFogGoal)
-            {
-                iFog += (iFogGoal - iFog) * 0.08f;
-                if (Math.abs(iFog - iFogGoal) < 0.00005f) iFog = iFogGoal;
+            this.lastIFog = this.iFog;
+            if (this.iFog != this.iFogGoal) {
+                this.iFog += (this.iFogGoal - this.iFog) * 0.08f;
+                if (Math.abs(this.iFog - this.iFogGoal) < 0.00005f) this.iFog = this.iFogGoal;
             }
 
-            lastIPanX = iPanX;
-            if (iPanX != iPanXGoal)
-            {
-                iPanX += (iPanXGoal - iPanX) * 0.4f;
-                if (Math.abs(iPanX - iPanXGoal) < 0.01f) iPanX = iPanXGoal;
+            this.lastIPanX = this.iPanX;
+            if (this.iPanX != this.iPanXGoal) {
+                this.iPanX += (this.iPanXGoal - this.iPanX) * 0.4f;
+                if (Math.abs(this.iPanX - this.iPanXGoal) < 0.01f) this.iPanX = this.iPanXGoal;
             }
 
-            lastIPanY = iPanY;
-            if (iPanY != iPanYGoal)
-            {
-                iPanY += (iPanYGoal - iPanY) * 0.4f;
-                if (Math.abs(iPanY - iPanYGoal) < 0.01f) iPanY = iPanYGoal;
+            this.lastIPanY = this.iPanY;
+            if (this.iPanY != this.iPanYGoal) {
+                this.iPanY += (this.iPanYGoal - this.iPanY) * 0.4f;
+                if (Math.abs(this.iPanY - this.iPanYGoal) < 0.01f) this.iPanY = this.iPanYGoal;
             }
-            lastUpdateTime = currentTime;
+            this.lastUpdateTime = currentTime;
         }
 
-        buttonCenterScreen.enabled = (iPanX != 0 || iPanY != 0) && !(iPanXGoal == 0 && iPanYGoal == 0);
+        this.buttonCenterScreen.enabled = (this.iPanX != 0 || this.iPanY != 0) && !(this.iPanXGoal == 0 && this.iPanYGoal == 0);
 
-        if (!shouldScreenshot)
-        {
+        if (!this.shouldScreenshot) {
             super.render(mx, my, partialTick);
-        }
-        else
-        {
-            ScreenShot.saveScreenshot(Global.accessor.getMinecraftDir(), mc.gameWindow.getWidthPixels(), mc.gameWindow.getHeightPixels());
-            shouldScreenshot = false;
+        } else {
+            ScreenShot.saveScreenshot(Global.accessor.getMinecraftDir(), this.mc.gameWindow.getWidthPixels(), this.mc.gameWindow.getHeightPixels());
+            this.shouldScreenshot = false;
         }
         scroll(Mouse.getDWheel());
 
-        if (sliderTimeOfDay.dragging)
-        {
-            long sliderTOD = (long)(sliderTimeOfDay.sliderValue * Global.DAY_LENGTH_TICKS);
-            if (sliderTimeOfDay.sliderValue == 0.0f)
-            {
-                desiredTOD = originalTOD % Global.DAY_LENGTH_TICKS;
-            }
-            else
-            {
-                desiredTOD = sliderTOD;
+        if (this.sliderTimeOfDay.dragging) {
+            long sliderTOD = (long) (this.sliderTimeOfDay.sliderValue * Global.DAY_LENGTH_TICKS);
+            if (this.sliderTimeOfDay.sliderValue == 0.0f) {
+                this.desiredTOD = this.originalTOD % Global.DAY_LENGTH_TICKS;
+            } else {
+                this.desiredTOD = sliderTOD;
             }
 
-            mc.currentWorld.setWorldTimeUpdateTicks(desiredDay + desiredTOD);
-            mc.currentWorld.updateSeasonAndLight();
+            this.mc.currentWorld.setWorldTimeUpdateTicks(this.desiredDay + this.desiredTOD);
+            this.mc.currentWorld.updateSeasonAndLight();
 
             updateButtonsText();
         }
-        if (sliderTilt.dragging)
-        {
-            iTiltGoal = (float) (int)(sliderTilt.sliderValue * 90.0f);
+        if (this.sliderTilt.dragging) {
+            this.iTiltGoal = (float) (int) (this.sliderTilt.sliderValue * 90.0f);
 
             updateButtonsText();
         }
-        if (sliderFog.dragging)
-        {
+        if (this.sliderFog.dragging) {
             // y=2^(8x - 8)
-            iFogGoal = (float)Math.pow(2, (8 * sliderFog.sliderValue) - 8);
+            this.iFogGoal = (float) Math.pow(2, (8 * this.sliderFog.sliderValue * 2) - 8);
             updateButtonsText();
         }
-        if(Shaders.enableShaders) {
-            if (sliderIntensity.dragging)
-            {
-                intensityValue = (float) sliderIntensity.sliderValue;
-                updateButtonsText();
-            }
+        if (this.sliderIntensity.dragging) {
+            this.intensityValue = (float) this.sliderIntensity.sliderValue;
+            updateButtonsText();
         }
-        
-        if (showHelpText) drawStringCenteredShadow(fontRenderer, I18n.getInstance().translateKey("gui.photo_mode.label.mouse_hint"), width / 2, height - 36, 0xFFFFFF);
+
+        if (this.showHelpText)
+            drawStringCenteredShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.photo_mode.label.mouse_hint"), this.width / 2, this.height - 36, 0xFFFFFF);
     }
 
-    private void updateButtonsText()
-    {
+    private void updateButtonsText() {
         I18n i18n = I18n.getInstance();
-        if(buttonSeason != null) {
-            Season[] seasons = new Season[] {Seasons.OVERWORLD_SPRING, Seasons.OVERWORLD_SUMMER, Seasons.OVERWORLD_FALL, Seasons.OVERWORLD_WINTER };
+        if (this.buttonSeason != null) {
+            Season[] seasons = new Season[]{Seasons.OVERWORLD_SPRING, Seasons.OVERWORLD_SUMMER, Seasons.OVERWORLD_FALL, Seasons.OVERWORLD_WINTER};
             String seasonName = i18n.translateKey("gui.photo_mode.button.season.default");
-            if (desiredSeason >= 0) {
-                seasonName = seasons[desiredSeason].getTranslatedName().toUpperCase(Locale.ROOT);
+            if (this.desiredSeason >= 0) {
+                seasonName = seasons[this.desiredSeason].getTranslatedName().toUpperCase(Locale.ROOT);
             }
-            buttonSeason.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.season", seasonName);
+            this.buttonSeason.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.season", seasonName);
         }
 
         // Update time of day slider
         String timeOfDay = i18n.translateKey("gui.photo_mode.button.time_of_day.default");
-        if (sliderTimeOfDay.sliderValue != 0.0f)
-        {
-            timeOfDay = String.valueOf((long)(sliderTimeOfDay.sliderValue * Global.DAY_LENGTH_TICKS));
+        if (this.sliderTimeOfDay.sliderValue != 0.0f) {
+            timeOfDay = String.valueOf((long) (this.sliderTimeOfDay.sliderValue * Global.DAY_LENGTH_TICKS));
         }
-        sliderTimeOfDay.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.time_of_day", timeOfDay);
+        this.sliderTimeOfDay.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.time_of_day", timeOfDay);
 
         // Update fog slider
-        sliderFog.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.fog", (int)(sliderFog.sliderValue * 100) + "%");
+        this.sliderFog.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.fog", (int) (this.sliderFog.sliderValue * 200) + "%");
 
         // Update tilt slider
         String tilt = i18n.translateKey("gui.photo_mode.button.tilt.default");
-        if ((int)(sliderTilt.sliderValue * 90.0f) != 30)
-        {
-            tilt = (int)(sliderTilt.sliderValue * 90.0f) + " degrees";
+        if ((int) (this.sliderTilt.sliderValue * 90.0f) != 30) {
+            tilt = (int) (this.sliderTilt.sliderValue * 90.0f) + " degrees";
         }
-        sliderTilt.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.tilt", tilt);
+        this.sliderTilt.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.tilt", tilt);
 
         // Update shader button
-        if(Shaders.enableShaders) {
-            String activeShader = photoModeRenderer.getActiveShader();
-            if (activeShader == null) activeShader = i18n.translateKey("gui.photo_mode.button.shader.none");
-            activeShader = activeShader.toUpperCase(Locale.ROOT);
-            buttonShaders.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.shader", activeShader);
-            
-            // Update intensity slider
-            sliderIntensity.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int)(sliderIntensity.sliderValue * 100) + "%");
-        }
+        String activeShader = this.photoModeRenderer.getActiveShader();
+        if (activeShader == null) activeShader = i18n.translateKey("gui.photo_mode.button.shader.none");
+        activeShader = activeShader.toUpperCase(Locale.ROOT);
+        this.buttonShaders.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.shader", activeShader);
+
+        // Update intensity slider
+        this.sliderIntensity.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int) (this.sliderIntensity.sliderValue * 100) + "%");
 
         // Update show player button
-        buttonShowPlayer.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.show_player", showPlayer ? i18n.translateKey("gui.photo_mode.button.show_player.on") : i18n.translateKey("gui.photo_mode.button.show_player.off"));
+        this.buttonShowPlayer.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.show_player", this.showPlayer ? i18n.translateKey("gui.photo_mode.button.show_player.on") : i18n.translateKey("gui.photo_mode.button.show_player.off"));
     }
 
-    public void scroll(int i)
-    {
-        if (i < 0)
-        {
-            iZoomGoal -= 0.25f;
-        }
-        else if (i > 0)
-        {
-            iZoomGoal += 0.25f;
+    public void scroll(int i) {
+        if (i < 0) {
+            this.iZoomGoal -= 0.25f;
+        } else if (i > 0) {
+            this.iZoomGoal += 0.25f;
         }
     }
 
